# Record Class CLNChannelDescription

java.lang.Object
java.lang.Record
com.io7m.calino.api.CLNChannelDescription

Record Components:
  `semantic` - The channel semantic
  `bits` - The size of the channel in bits

All Implemented Interfaces:
  `CLNDescribableType`

public record CLNChannelDescription(CLNChannelSemantic semantic, int bits) extends Record implements CLNDescribableType
A description of a single image channel.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CLNChannelDescription(CLNChannelSemantic semantic, int bits)`
  A description of a single image channel.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `bits()`
  Returns the value of the `bits` record component.
  `String`
  `descriptor()`
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static CLNChannelDescription`
  `parse(String text)`
  Parse a channel descriptor.
  `CLNChannelSemantic`
  `semantic()`
  Returns the value of the `semantic` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CLNChannelDescription

    public CLNChannelDescription(CLNChannelSemantic semantic, int bits)
    A description of a single image channel.
    Parameters:
      `semantic` - The channel semantic
      `bits` - The size of the channel in bits

- ## Method Details

  - ### parse

    public static CLNChannelDescription parse(String text) throws ParseException
    Parse a channel descriptor.
    Parameters:
      `text` - The descriptor
    Returns:
      A parsed description
    Throws:
      `ParseException` - On parse errors

  - ### descriptor

    public String descriptor()
    Specified by:
      `descriptor` in interface `CLNDescribableType`
    Returns:
      The descriptor for the object

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### semantic

    public CLNChannelSemantic semantic()
    Returns the value of the `semantic` record component.
    Returns:
      the value of the `semantic` record component

  - ### bits

    public int bits()
    Returns the value of the `bits` record component.
    Returns:
      the value of the `bits` record component